Bug 1576250 (CVE-2018-5150) - CVE-2018-5150 Mozilla: Memory safety bugs fixed in Firefox 60 and Firefox ESR 52.8
Summary: CVE-2018-5150 Mozilla: Memory safety bugs fixed in Firefox 60 and Firefox ESR...
Status: NEW
Alias: CVE-2018-5150
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=critical,public=20180509,repor...
Keywords: Security
Depends On: 1573377 1573378 1573379 1573380 1578628 1578629 1578630 1578631 1578632 1580262
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:10 UTC by Doran Moppert
Modified: 2018-05-24 19:56 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1414 None None None 2018-05-14 14:39 UTC
Red Hat Product Errata RHSA-2018:1415 None None None 2018-05-14 15:13 UTC
Red Hat Product Errata RHSA-2018:1725 None None None 2018-05-24 19:26 UTC
Red Hat Product Errata RHSA-2018:1726 None None None 2018-05-24 19:56 UTC

Description Doran Moppert 2018-05-09 07:10:39 UTC
Mozilla developers and community members reported memory safety bugs present in Firefox 59 and Firefox ESR 52.7. Some of these bugs showed evidence of memory corruption and we presume that with enough effort that some of these could be exploited to run arbitrary code.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-12/#CVE-2018-5150

Comment 1 Doran Moppert 2018-05-09 07:10:43 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Christoph Diehl, Randell Jesup, Tyson Smith, Alex Gaynor, Ronald Crane, Julian Hector, Kannan Vijayan, Jason Kratzer

Comment 2 errata-xmlrpc 2018-05-14 14:39:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1414 https://access.redhat.com/errata/RHSA-2018:1414

Comment 3 errata-xmlrpc 2018-05-14 15:13:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1415 https://access.redhat.com/errata/RHSA-2018:1415

Comment 7 errata-xmlrpc 2018-05-24 19:26:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:1725 https://access.redhat.com/errata/RHSA-2018:1725

Comment 8 errata-xmlrpc 2018-05-24 19:56:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2018:1726 https://access.redhat.com/errata/RHSA-2018:1726


Note You need to log in before you can comment on or make changes to this bug.